Package org.opensaml.soap.messaging.context

# Class SOAP11Context

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.messaging.context.SOAP11Context

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SOAP11Context extends BaseContext
Subcontext that carries information about the SOAP 1.1 message transport.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Envelope`
`envelope`
The SAML protocol in use.
`private Fault`
`fault`
SOAP 1.1 Fault related to the current message processing context.
`private Integer`
`httpResponseStatus`
The HTTP response status code to return.

## Constructor Summary

Constructors
Constructor
Description
`SOAP11Context()`

## Method Summary

Modifier and Type
Method
Description
`Envelope`
`getEnvelope()`
Gets the current SOAP 1.1 Envelope.
`Fault`
`getFault()`
Get the current SOAP 1.1 Fault related to the current message processing context.
`Integer`
`getHTTPResponseStatus()`
Get the optional HTTP response status code to return.
`SOAP11Context`
`setEnvelope(Envelope newEnvelope)`
Sets the current SOAP 1.1 Envelope.
`SOAP11Context`
`setFault(Fault newFault)`
Set the current SOAP 1.1 Fault related to the current message processing context.
`SOAP11Context`
`setHTTPResponseStatus(Integer status)`
Set the optional HTTP response status code to return.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### envelope

@Nullable private Envelope envelope
The SAML protocol in use.

### fault

@Nullable private Fault fault
SOAP 1.1 Fault related to the current message processing context.

### httpResponseStatus

@Nullable private Integer httpResponseStatus
The HTTP response status code to return.

## Constructor Details

### SOAP11Context

public SOAP11Context()

## Method Details

### getEnvelope

@Nullable public Envelope getEnvelope()
Gets the current SOAP 1.1 Envelope.

Returns:
  current SOAP 1.1 Envelope, may be null

### setEnvelope

@Nonnull public SOAP11Context setEnvelope(@Nullable Envelope newEnvelope)
Sets the current SOAP 1.1 Envelope.

Parameters:
  `newEnvelope` - the current SOAP 1.1 Envelope
Returns:
  this context

### getFault

@Nullable public Fault getFault()
Get the current SOAP 1.1 Fault related to the current message processing context.

Returns:
  the current SOAP 1.1 Fault, may be null

### setFault

@Nonnull public SOAP11Context setFault(@Nullable Fault newFault)
Set the current SOAP 1.1 Fault related to the current message processing context.

Parameters:
  `newFault` - the new Fault
Returns:
  this context

### getHTTPResponseStatus

@Nullable public Integer getHTTPResponseStatus()
Get the optional HTTP response status code to return.

Returns:
  HTTP response status code, may be null

### setHTTPResponseStatus

@Nonnull public SOAP11Context setHTTPResponseStatus(@Nullable Integer status)
Set the optional HTTP response status code to return.

Parameters:
  `status` - the HTTP response status code, may be null
Returns:
  this context